function raw_plots(rawmatfile)
%  sample plots of raw MMP data

   min_npts=10;

% read in data
   [okay Vab Vcd Vef Vgh aHx aHy aHz aTx aTy ...
      cpres ctemp ccond psdate pstart pedate pstop...
      epres ecurr edpdt evolt engtime]=load_MMP_rawmatfmt(rawmatfile,min_npts);
 
if (okay==1);

figure
clf
plot(Vab);hold;plot(Vcd,'r');plot(Vef,'c');plot(Vgh,'m');grid on;zoom on;
xlabel('Scan number')
ylabel('Raw path velocity  cm/s')
title(rawmatfile);
set(gcf,'Tag','rawplot')

figure;
clf
plot(aHx,aHy);
axis equal
axis square
grid
axis([-1.1 1.1 -1.1 1.1])
xlabel('aHx')
ylabel('aHy');
title(rawmatfile);
set(gcf,'Tag','rawplot')

figure;
clf
plot(cpres);
grid on;
zoom on;
xlabel('Scan number')
ylabel('Pressure  dbars')
title(rawmatfile);
set(gcf,'Tag','rawplot')

figure;
clf
plotyy(cpres,ctemp,cpres,ccond);
grid
zoom on
ylabel('Temperature ')
axs=get(gcf,'Child');
 set(axs(1),'ylim',[20 50])
yl=get(axs(1),'ylabel');
set(yl,'String','Conductivity','Rotation',270)
xlabel('Pressure  dbars')
title(rawmatfile);
set(gcf,'Tag','rawplot')

figure
clf
j=find(epres>0);
plotyy(epres(j),ecurr(j),epres(j),evolt(j));
grid
zoom on
ylabel('Motor current')
axs=get(gcf,'Child');
yl=get(axs(1),'ylabel');
set(yl,'String','Battery Voltage','Rotation',270)
xlabel('Pressure  dbars')
title(rawmatfile);
set(gcf,'Tag','rawplot')

end
